Subject: [Isis-wg] SR-Capabilities Sub-TLV - Flags

From: Uma Chunduri <[email-masked]>
Date: Tue, 18 Nov 2014 22:55:55 +0000

I have few comments on https://tools.ietf.org/html/draft-ietf-isis-segment-routing-extensions-03 (shall post those later)

But the following is bit important (and I noted this at the Mic too)

Section 3.1 -

        I-Flag: IPv4 flag.  If set, then the router is capable of
         outgoing IPv4 encapsulation on all interfaces.

         V-Flag: IPv6 flag.  If set, then the router is capable of
         outgoing IPv6 encapsulation on all interfaces.

There is no change here from 02 but my question is about the text.
Essentially with the current language, we can't set these  flags if "all" interfaces are not enabled either Ipv4 or IPv6 encapsulation.

We do want to advertise per AF SRGB range (if needed multiple per AF/MT, this will make operations cleaner) but the above "all" language can force
One to not to advertise these  bits as some interfaces in in instance are V4 and some are V6 capable.

Ideally one may need to advertise the ranges per MT-ID (Standard No MT ID, or IPv4 MT-ID 0, IPV6 MT-ID 2) regardless of if "all"
interfaces are capable of IPv4/IPv6 or not.

So my suggestion -

a. keep these flags and change the content to reflect per AF (remove "all" etc..) (or) (and)
b. Remove these flags and add 2 byte MT-ID

With this it can fit the bill for IPv4 and IPv6.

--
Uma C.